Debian Bug report logs - #365831
xserver-xorg: uninstallable on clean system, preinst exit status 10

version graph

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: "Richard Burton" <richardaburton@hotmail.com>

Date: Wed, 3 May 2006 09:03:01 UTC

Severity: grave

Found in version xserver-xorg/1:7.0.15

Fixed in version 1:7.0.16

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#365831; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to "Richard Burton" <richardaburton@hotmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Richard Burton" <richardaburton@hotmail.com>
To: submit@bugs.debian.org
Subject: xserver-xorg: uninstallable on clean system, preinst exit status 10
Date: Wed, 03 May 2006 08:55:32 +0000
Package: xserver-xorg
Version: 1:7.0.15
Severity: grave

xserver-xorg cannot be installed on a clean system. "clean system" was 
created
using DFS cd to bootstrap unstable. Previously I would have installed
xwindows-system-core & gnome-desktop-environment to get my desktop.

I wasn't totally sure what x-windows-system-core translated to with xorg, so 
I
guessed at xserver-xorg-core. This installed fine, but gdm wouldn't start
(no /etc/X11/X symlink), so I proceeded to try and install xserver-xorg 
(which
thinking about it is probably the one that creates this symlink, as well as 
the
xorg config file).

xserver-xorg gives:
"subprocess pre-installation script returned error exit status 10"

Rebuilding the package with -x in the preinst I can see that it's failing at
the call to /use/share/debconf/frontend. Sticking a couple of prints in 
there
I can see it's $confmodule->exitcode that's 10 on after the
while ($confmodule->communicate) loop.

I don't know anything about debconf, so I can't diagnose any further without
some instruction. Please let me know what else I can do...


Richard.





Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Richard Burton" <richardaburton@hotmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 365831-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Richard Burton <richardaburton@hotmail.com>, 365831-done@bugs.debian.org
Subject: Re: Bug#365831: xserver-xorg: uninstallable on clean system, preinst exit status 10
Date: Wed, 3 May 2006 02:21:24 -0700
[Message part 1 (text/plain, inline)]
Version: 1:7.0.16

On Wed, May 03, 2006 at 08:55:32AM +0000, Richard Burton wrote:
> xserver-xorg gives:
> "subprocess pre-installation script returned error exit status 10"

This is fixed in version 1:7.0.16 of xserver-xorg in incoming.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#365831; Package xserver-xorg. Full text and rfc822 format available.

Acknowledgement sent to "Richard Burton" <richardaburton@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 365831@bugs.debian.org (full text, mbox):

From: "Richard Burton" <richardaburton@hotmail.com>
To: 365831@bugs.debian.org, vorlon@debian.org
Subject: Re: Bug#365831: xserver-xorg: uninstallable on clean system, preinst exit status
Date: Wed, 03 May 2006 12:04:21 +0000
>This is fixed in version 1:7.0.16 of xserver-xorg in incoming.

Confirmed fixed. Sorry for the dupe (I did check, but somehow missed it).

Richard.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:51:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:23:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.